import { Command } from '../../..';
import { BrokerSender } from '../../model/broker.model';
import { Query } from '../../model/messages.model';
import { ReactiveCommonsConfiguration } from '../reactive-commons';
import { ReplyRouter } from '../reply-router';
export declare class DirectGateway {
    private config;
    private sender;
    private replyRouter;
    private topicName;
    private instanceId;
    constructor(config: ReactiveCommonsConfiguration, sender: BrokerSender, replyRouter: ReplyRouter, topicName: string, instanceId: string);
    sendCommand<T>(command: Command<T>, targetName: string): Promise<void>;
    requestReply<T, R>(query: Query<T>, targetName: string): Promise<R>;
}
